Subject: bug#4096: 23.1.50; forward-char sometimes steps over overlay 'display

From: Lennart Borgman <[email-masked]>
Date: Sun, 9 Aug 2009 22:28:55 +0200

(Please merge this with 4094.)

I think the problem might be in

    adjust_for_invis_intang

or the use of it. This function checks for insertion type.

This is different for the overlays I have mentioned here. One is
created by outline-minor-mode and one by hs-minor-mode. One of them
set insertion type for the beginning of the overlay, the other does
not. In one of the cases at least forward-char works, in the other it
does not. (backward-char still does not work.)

However it must be a mistake to check for insertion type here. Forward
char has nothing to do with that. (Note: adjust_for_invis_intang is
called by set_point_both.)